Bug 1722071 - [RFE] Enable SSL termination for RadosGW
Summary: [RFE] Enable SSL termination for RadosGW
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Giulio Fidente
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1642481 1701416 1730176 1796891
TreeView+ depends on / blocked
 
Reported: 2019-06-19 13:04 UTC by Giulio Fidente
Modified: 2020-02-03 07:55 UTC (History)
7 users (show)

Fixed In Version: ceph-ansible-4.0.0-0.1.rc10.el8cp
Doc Type: Enhancement
Doc Text:
.Ability to configure Ceph Object Gateway to use TLS encryption This release of {product} provides the ability to configure the Ceph Object Gateway listener with an SSL certificate for TLS encryption by using the `radosgw_frontend_ssl_certificate` variable to secure the Transmission Control Protocol (TCP) traffic.
Clone Of:
: 1796891 (view as bug list)
Environment:
Last Closed: 2020-01-31 12:46:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4130 0 'None' closed Add radosgw_frontend_ssl_certificate parameter 2020-09-26 05:50:26 UTC
Github ceph ceph-ansible pull 4183 0 'None' closed Add radosgw_frontend_ssl_certificate parameter (bp #4130) 2020-09-26 05:50:26 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:56 UTC

Description Giulio Fidente 2019-06-19 13:04:38 UTC
We need to add the bits to configure SSL for civetweb

Comment 1 Yaniv Kaul 2019-06-20 02:51:29 UTC
Although we plan to move to Beast?

Comment 2 Giulio Fidente 2019-06-20 09:26:24 UTC
(In reply to Yaniv Kaul from comment #1)
> Although we plan to move to Beast?

indeed my initial comment assumed civetweb but we migrated to beast already upstream (OSP16 and OSP15); the ceph-ansible change will be updated to deal with both civetweb and beast

Comment 5 Giridhar Ramaraju 2019-08-05 13:10:41 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Giridhar Ramaraju 2019-08-05 13:11:44 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 13 errata-xmlrpc 2020-01-31 12:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.